
body
{
    overflow-x:hidden;
}

body, footer
{
background-color: #F29400;
color: white;
}

header
{
    margin-top: 20px;
    background-image: url(../images/header.webp); /*Hintergrundbild Kopfbereich*/
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
}

header img
{
    width:100%;
    height: 234px; 
}

main
{
    margin-top: 20px;
    margin-bottom: 15px;
    background-color: white;
}

body.home main
{

    background-image: url(../images/background.jpg); /*Hintergrundbild Inhalt*/
    background-repeat: no-repeat;
    background-position: 50% 0;
    background-size: cover;
    background-attachment: fixed;
}

a {color: #F29400}
a:hover {color: #000000}

.container
{
    color: black;
}

#icons 
{
    margin-top: 20px;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}

.icon
{
  background-color: #ddd;
  text-align: center;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  transition: background-color 0.3s ease;
}

.icon a
{
    background-color: white;
    display: inline-block;
    width:100%;
    aspect-ratio: 1 / 1;
}

.icon a img
{
    width:100%;
    padding: 10px 13.5px;
}

@supports not (aspect-ratio: 1 / 1) {
  .icon a::before {
    float: left;
    padding-top: 100%;
    content: "";
  }

  .icon a::after {
    display: block;
    content: "";
    clear: both;
  }
}

.icon:hover {
  background-color: #F29400;
}

footer
{
    text-align:center;
    padding-left: 15px;
    padding-right: 15px;
}

footer p {
    font-size: 14px;
}

footer a
{
    color: #ddd;
    text-decoration: none;
}

.advertisement {
  margin: 20px;
  text-align: center;
  font-size: 0.9em;
  min-width: 120px;
}

#ad-left {float: left;}
#ad-right {float: right;}

@media (max-width: 1600px) { header img {height: 160px;}}
@media (max-width: 1024px) { header img {height: 120px;}}
@media (max-width: 799px) { header img {height: 90px;}}

@media (max-width: 575px)
{
    .icon
    {
    padding: 8px;
    }
    
    .col-4
    {
        padding-left: 5px;
        padding-right: 5px;
    }
    
    .mb-4 {
    margin-bottom: 10px!important;
    }
    
    #icons
    {
        margin-left: 5px;
        margin-right: 5px;
    }
}

@media (min-width: 1280px)
{
    body.home main
    {
        height: calc(100vh - 280px);
        min-height: 540px;
    }
}

@media (min-width: 1980px)
{
    html {overflow: hidden;}
    
    body.home main
    {
        height: calc(100vh - 325px);
        min-height: 540px;
    }
}
